> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put pinorder

> Update  pin order



## OpenAPI

````yaml /swagger.json put /pin/order
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /pin/order:
    put:
      tags:
        - pin
      description: Update  pin order
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                type:
                  type: string
                  enum:
                    - space
                    - base
                    - table
                    - view
                    - dashboard
                    - workflow
                    - app
                anchorId:
                  type: string
                anchorType:
                  type: string
                  enum:
                    - space
                    - base
                    - table
                    - view
                    - dashboard
                    - workflow
                    - app
                position:
                  type: string
                  enum:
                    - before
                    - after
              required:
                - id
                - type
                - anchorId
                - anchorType
                - position
      responses:
        '200':
          description: Update  pin order successfully
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request PUT \
              --url https://app.teable.ai/api/pin/order \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"id":"string","type":"space","anchorId":"string","anchorType":"space","position":"before"}'
        - lang: JavaScript
          source: |-
            const url = 'https://app.teable.ai/api/pin/order';
            const options = {
              method: 'PUT',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"id":"string","type":"space","anchorId":"string","anchorType":"space","position":"before"}'
            };

            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'PUT',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/pin/order',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({
              id: 'string',
              type: 'space',
              anchorId: 'string',
              anchorType: 'space',
              position: 'before'
            }));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"id\":\"string\",\"type\":\"space\",\"anchorId\":\"string\",\"anchorType\":\"space\",\"position\":\"before\"}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("PUT", "/api/pin/order", payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````